### Method

# JavaScriptCore Value constructor_call

#### Declaration [src]

    JSCValue*
    jsc_value_constructor_call (
      JSCValue* value,
      GType first_parameter_type,
      ...
    )

#### Description [src]

Invoke new with constructor referenced by `value`. If `first_parameter_type` is `G_TYPE_NONE` no parameters will be passed to the constructor.

This method is not directly available to language bindings.
The implementation of this method is provided by `jsc_value_constructor_callv()` in language bindings

#### Parameters

`first_parameter_type` | `GType`
| `GType` of first parameter, or `G_TYPE_NONE`.
`...` | ``
| Value of the first parameter, followed optionally by more type/value pairs, followed by `G_TYPE_NONE`.

#### Return value

Returns: | `JSCValue`
| A `JSCValue` referencing the newly created object instance.
| The caller of the method takes ownership of the data, and is responsible for freeing it.